Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 456165 (jfreechart-review) - Review Request: jfreechart - Java chart library
Summary: Review Request: jfreechart - Java chart library
Keywords:
Status: CLOSED NEXTRELEASE
Alias: jfreechart-review
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Marek Mahut
QA Contact: Fedora Extras Quality Assurance
URL: http://netbsd.sk/~lkundrak/SPECS/jfre...
Whiteboard:
Depends On:
Blocks: mars-sim-review
TreeView+ depends on / blocked
 
Reported: 2008-07-21 20:18 UTC by Lubomir Rintel
Modified: 2008-09-09 20:49 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-09-09 20:49:59 UTC
mmahut: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Lubomir Rintel 2008-07-21 20:18:51 UTC
SRPM: http://netbsd.sk/~lkundrak/SRPMS/jfreechart-1.0.10-1.el5.src.rpm
SPEC: http://netbsd.sk/~lkundrak/SPECS/jfreechart.spec

Description:

JFreeChart is a free 100% Java chart library that makes it easy for
developers to display professional quality charts in their applications.

Comment 1 Lubomir Rintel 2008-07-21 20:22:46 UTC
Note that this depends on jcommon, which is in Fedora 7 and Rawhide, but not
Fedora 8 and Fedora 9 (yet). Please, either try this on either of these, or grab
that package from fc7 or fc10.

Comment 2 Marek Mahut 2008-07-21 21:02:57 UTC
This package looks sane, APPROVED. Nice trick with %{requires} :)

Minor detail, the script caught duplicate BuildRequires by jpackage-utils and
java-devel, to be fixed at import to cvs. When jcommon will become available,
please request at least a F-9 branch if possible. Thanks.

Comment 3 Lubomir Rintel 2008-07-22 07:26:26 UTC
New Package CVS Request
=======================
Package Name: jfreechart
Short Description: Java chart library
Owners: lkundrak
Branches: EL-5 F-9
Cvsextras Commits: yes

Comment 4 Kevin Fenzi 2008-07-22 16:04:08 UTC
cvs done.

Comment 5 Lubomir Rintel 2008-07-22 19:44:29 UTC
Pending jcommon in F-9 and EL-5
Built in Rawhide

Comment 6 Lubomir Rintel 2008-09-09 20:49:59 UTC
hotovo


Note You need to log in before you can comment on or make changes to this bug.